caoss.simulator.os

## Class Logger

- java.lang.Object
- - caoss.simulator.os.Logger

-     public class Logger
      extends java.lang.Object

  A simple logging class
  Author:
    Herve Paulino

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Logger()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `error(java.lang.String message)` Emit an error message
    `static void` | `fine(java.lang.String message)` Emit an fine message
    `static void` | `info(java.lang.String message)` Emit an info message
    `static void` | `internalError(java.lang.String message)` Emit an internal error message, ie an error resulting from a bug in the OS implementation)
    `static void` | `setLevel(java.util.logging.Level level)` Set the level of logging

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Logger

          public Logger()

  - ### Method Detail

    - #### setLevel

          public static void setLevel(java.util.logging.Level level)

      Set the level of logging
      Parameters:
        `level` - The level

    - #### fine

          public static void fine(java.lang.String message)

      Emit an fine message
      Parameters:
        `message` - The message

    - #### info

          public static void info(java.lang.String message)

      Emit an info message
      Parameters:
        `message` - The message

    - #### error

          public static void error(java.lang.String message)

      Emit an error message
      Parameters:
        `message` - The message

    - #### internalError

          public static void internalError(java.lang.String message)

      Emit an internal error message, ie an error resulting from a bug in the OS implementation)
      Parameters:
        `message` - The message